curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"fieldKeyType":"id","typecast":true,"order":{"viewId":"string","anchorId":"string","position":"before"},"records":[{"fields":{"single line text":"text value"}}]}'{
"records": [
{
"id": "recXXXXXXX",
"fields": {
"single line text": "text value"
}
}
]
}Create one or multiple records with support for field value typecast and custom record ordering.
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"fieldKeyType":"id","typecast":true,"order":{"viewId":"string","anchorId":"string","position":"before"},"records":[{"fields":{"single line text":"text value"}}]}'{
"records": [
{
"id": "recXXXXXXX",
"fields": {
"single line text": "text value"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Multiple Create records
Array of record objects
Show child attributes
[
{
"fields": { "single line text": "text value" }
}
]Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details
id, name, dbFieldName Automatic data conversion from cellValues if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources.
Where this record to insert to (Optional)
Show child attributes
Returns data about the records.
Array of record objects
Show child attributes
[
{
"id": "recXXXXXXX",
"fields": { "single line text": "text value" }
}
]此页面对您有帮助吗?